VirtueMart Forum

VirtueMart 2 + 3 => Installation, Migration & Upgrade => Topic started by: ermes on November 02, 2018, 15:42:28 pm

Title: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
Post by: ermes on November 02, 2018, 15:42:28 pm
When i click on upgrade button from administrator panel to get the new version of VM AIO extension (from v3.2.14 to v3.4.2) joomla return me the following error:

Joomla\Filesystem\File::delete: Failed deleting inaccessible file vroute.php
Title: Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
Post by: GJC Web Design on November 02, 2018, 16:01:37 pm
hmm ..  this is a system plugin com_virtuemart.3.4.2.9966_ext_aio\plugins\system\vroute

u can try again with the  AIO http://dev.virtuemart.net/attachments/download/1142/com_virtuemart.3.4.2.9966_ext_aio.zip - just install

if not extract the files for that plugin and ftp to where they need to be and rerun
Title: Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
Post by: ermes on November 02, 2018, 16:09:27 pm
It return me the same error
Title: Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
Post by: Milbo on November 16, 2018, 09:45:58 am
The strange thing is, that the installer does not delete files. I cant remember that I wrote it and I cant find it in the installer. So how the heck tries the AIO installer to remove the old plugin. The vRoute plugin was just an idea, it was not meant to be distributed.
Title: Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
Post by: ermes on January 10, 2019, 11:25:24 am
I can't uninstall it. It show me same error of update.